{%- if posts|length >= 30 -%}
    <div class="posts-next">
        {%- set lastPost = posts|last -%}

        {%- if appRoute == 'app_homepage' or appRoute == 'app_posts_by_tag_trending' -%}
            {%- set nextPath = 'trending' -%}
        {%- elseif appRoute == 'app_created'or appRoute == 'app_posts_by_tag_created' -%}
            {%- set nextPath = 'created' -%}
        {%- elseif appRoute == 'app_hot' or appRoute == 'app_posts_by_tag_hot' -%}
            {%- set nextPath = 'hot' -%}
        {%- elseif appRoute == 'app_promoted' or appRoute == 'app_posts_by_tag_promoted' -%}
            {%- set nextPath = 'promoted' -%}
        {%- elseif appRoute == 'user_account_feed' -%}
            {%- set nextPath = 'feed' -%}
        {%- endif -%}

        {%- if appRoute == 'app_homepage' or appRoute == 'app_created' or appRoute == 'app_hot' or appRoute == 'app_promoted' -%}
            {%- set getRoute = path('app_ajax_posts_by_tag_next', { author: lastPost.author, permlink: lastPost.permlink, path: nextPath, tag: 'strimi' }) -%}
        {%- elseif appRoute == 'app_posts_by_tag_trending' or appRoute == 'app_posts_by_tag_created' or appRoute == 'app_posts_by_tag_hot' or appRoute == 'app_posts_by_tag_promoted'-%}
            {%- set getRoute = path('app_ajax_posts_by_tag_next', { author: lastPost.author, permlink: lastPost.permlink, path: nextPath, tag: tag_name }) -%}
        {%- elseif appRoute == 'user_account' -%}
            {%- set getRoute = path('user_account_ajax_posts_next', { account: account.name, author: lastPost.author, permlink: lastPost.permlink }) -%}
        {%- elseif appRoute == 'user_account_feed' -%}
            {%- set getRoute = path('app_ajax_posts_by_tag_next', { author: lastPost.author, permlink: lastPost.permlink, path: nextPath, tag: account.name }) -%}
        {%- endif -%}

        <span class="btn large btn-primary posts-next-button" id="posts-next-button" data-status="0" data-url="{{- getRoute -}}">
            <span data-lang="{{- 'global.post.next' -}}">
                {{- 'global.post.next'|trans -}}
            </span>
            <div class="loading-oval-button hidden"></div>
        </span>


    </div>
{%- endif -%}